<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: 类成员 - 函数</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_func_c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_c"></a>- c -</h3><ul>
<li>checkPhoneNumInput
: <a class="el" href="category_n_s_string_07_k_o_extension_08.html#aedb6c7de0cc77da8301cf231f418e277">NSString(KOExtension)</a>
</li>
<li>collectionView:layout:backgroundColorForSection:
: <a class="el" href="protocol_j_h_collection_view_delegate_flow_layout-p.html#a6647c33a740eece33fc18c9fa92e4c04">&lt;JHCollectionViewDelegateFlowLayout&gt;</a>
</li>
<li>colorWithHexString:
: <a class="el" href="category_u_i_color_07_hex_08.html#ae687f69d612d4eafbdb037818cb920b7">UIColor(Hex)</a>
</li>
<li>colorWithHexString:alpha:
: <a class="el" href="category_u_i_color_07_hex_08.html#a55ab05f6ac4c655bbeaafb4c68927c51">UIColor(Hex)</a>
</li>
<li>compressImageWithPixelSize:
: <a class="el" href="category_u_i_image_07_k_o_extension_08.html#a09c6aa85933736dab4bc5a398e06eddf">UIImage(KOExtension)</a>
</li>
<li>configContentWithTip:
: <a class="el" href="interface_beginner_tips_view.html#a6bd11891e2a5f42b04ccf717aedf379a">BeginnerTipsView</a>
</li>
<li>convertRect:toView:
: <a class="el" href="interface_x_h_x_text_keyboard_manager.html#abf688329b06d2296b393fdef1a7e4d8c">XHXTextKeyboardManager</a>
</li>
<li>createTableViewWithStyle:
: <a class="el" href="interface_base_table_view_controller.html#a5365d7a603fe24b243e601bf03155481">BaseTableViewController</a>
</li>
<li>creatQRCodeWithData:
: <a class="el" href="interface_x_h_x_q_r_code_tools.html#af4b2fa46013c54070417f20d4d81049d">XHXQRCodeTools</a>
</li>
<li>creatQRCodeWithData:centerImage:
: <a class="el" href="interface_x_h_x_q_r_code_tools.html#aae636aed99d415a3a97b398455bddee2">XHXQRCodeTools</a>
</li>
<li>cropByWidthHeightRate:
: <a class="el" href="category_u_i_image_07_k_o_extension_08.html#a486332d7fd239764da4be8f6bb8a2d19">UIImage(KOExtension)</a>
</li>
<li>currentNavigationController
: <a class="el" href="interface_x_h_x_navigator.html#a5cf12ce028b8a0156c3cfd997f7c32b1">XHXNavigator</a>
</li>
<li>currentViewController
: <a class="el" href="interface_x_h_x_navigator.html#a2386702d61e0ba8a8c3ded4c36aee1fc">XHXNavigator</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
